/**
 * PETALS - PETALS Services Platform. Copyright (c) 2008 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */
package org.ow2.petals.se.jsr181;

import java.util.HashMap;
import java.util.Map;

import org.ow2.petals.component.framework.jbidescriptor.generated.Provides;

/**
 * The JSR181 component context
 * 
 * @author Christophe HAMERLING (chamerling) - eBM WebSourcing
 * @since 1.0
 * 
 */
public class Context {

    /**
     * Store the Axis Service for the Provides node.
     */
    private Map<Provides, AxisService> services;

    /**
     * 
     */
    public Context() {
        this.services = new HashMap<Provides, AxisService>();
    }

    /**
     * 
     * @param name
     * @return
     */
    protected AxisService getService(Provides provides) {
        return this.services.get(provides);
    }

    /**
     * 
     * @param name
     * @param service
     */
    protected void addService(Provides provides, AxisService service) {
        this.services.put(provides, service);
    }
    
    /**
     * 
     * @param provides
     */
    protected AxisService removeService(Provides provides) {
        return this.services.remove(provides);
    }

}
