/**
 * PETALS - PETALS Services Platform. Copyright (c) 2008 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */
package org.ow2.petals.se.jsr181;

import org.apache.axis2.AxisFault;
import org.apache.axis2.context.ConfigurationContext;
import org.apache.axis2.context.MessageContext;
import org.apache.axis2.description.TransportOutDescription;
import org.apache.axis2.handlers.AbstractHandler;
import org.apache.axis2.transport.TransportSender;

/**
 * The empty Transport sender. Created because Axis2 needs a transport sender
 * but not needed by us...
 * 
 * @author Christophe HAMERLING - eBM WebSourcing
 * @since 1.0
 * 
 */
public class EmptyTransportSender extends AbstractHandler implements TransportSender {

    public EmptyTransportSender() {
    }

    /*
     * (non-Javadoc)
     * 
     * @see org.apache.axis2.transport.TransportSender#cleanup(org.apache.axis2.context.MessageContext)
     */
    public void cleanup(MessageContext msgContext) throws AxisFault {
        // release connection
    }

    /*
     * (non-Javadoc)
     * 
     * @see org.apache.axis2.transport.TransportSender#init(org.apache.axis2.context.ConfigurationContext,
     *      org.apache.axis2.description.TransportOutDescription)
     */
    public void init(ConfigurationContext confContext, TransportOutDescription transportOut)
            throws AxisFault {
        // get default values
    }

    /*
     * (non-Javadoc)
     * 
     * @see org.apache.axis2.transport.TransportSender#stop()
     */
    public void stop() {
        // Any code that , need to invoke when sender stop
    }

    /*
     * (non-Javadoc)
     * 
     * @see org.apache.axis2.engine.Handler#invoke(org.apache.axis2.context.MessageContext)
     */
    public InvocationResponse invoke(MessageContext msgContext) throws AxisFault {
        return InvocationResponse.CONTINUE;
    }
}
