/**
 * PETALS - PETALS Services Platform. Copyright (c) 2009 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */
package org.ow2.petals.se.jsr181.spi;

import javax.jbi.messaging.MessagingException;

import org.ow2.petals.component.framework.api.Message.MEPConstants;
import org.ow2.petals.component.framework.api.configuration.ConfigurationExtensions;
import org.ow2.petals.component.framework.api.exception.PEtALSCDKException;
import org.ow2.petals.component.framework.api.message.Exchange;
import org.ow2.petals.component.framework.process.async.AsyncContext;

/**
 * @author Christophe HAMERLING - eBM WebSourcing
 * 
 */
public interface MessageSender {

    /**
     * Create an exchange
     * 
     * @param mep
     * @return
     * @throws MessagingException
     * @throws PEtALSCDKException
     */
    public Exchange createExchange(MEPConstants mep) throws MessagingException, PEtALSCDKException;

    /**
     * 
     * @param exchange
     * @return
     * @throws MessagingException
     */
    public boolean sendSync(final Exchange exchange) throws MessagingException;

    /**
     * 
     * @param exchange
     * @throws MessagingException
     */
    public void sendAsync(final Exchange exchange, final AsyncContext asyncContext) throws MessagingException;

    /**
     * 
     * @param exchange
     * @return
     * @throws InterruptedException
     * @throws PEtALSCDKException
     */
    //public Exchange accept(Exchange exchange) throws InterruptedException, PEtALSCDKException;

    /**
     * 
     * @param exchange
     * @throws MessagingException
     */
    public void send(final Exchange exchange) throws MessagingException;

    /**
     * 
     * @return
     */
    public ConfigurationExtensions getExtensions();
}
